#pragma once

#include "../../../include/dv-processing/io/data_read_handler.hpp"

#include <pybind11/pybind11.h>

namespace py = pybind11;

/**
 * @brief Bind io::DataReadHandler classes to python
 * @param m pybind The module to bind to
 */
void bind_data_read_handler(py::module &m) {
	py::class_<dv::io::DataReadHandler> readHandler(m, "DataReadHandler");

	py::enum_<dv::io::DataReadHandler::OutputFlag>(readHandler, "OutputFlag")
		.value("CONTINUE", dv::io::DataReadHandler::OutputFlag::CONTINUE)
		.value("END_OF_FILE", dv::io::DataReadHandler::OutputFlag::END_OF_FILE);
}
